%define major		3
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		exempi
Summary:	Library for easy parsing of XMP metadata
Version:	2.2.2
Release:	%mkrel 16
Group:		System/Libraries
License:	BSD-like
URL:		http://libopenraw.freedesktop.org/wiki/Exempi
Source0:	http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.bz2
Source1:	http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.bz2.asc
BuildRequires:	expat-devel
BuildRequires:	boost-devel

%description
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%package -n %{libname}
Summary:	XMP implementation
Group:		System/Libraries

%description -n %{libname}
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%prep
%setup -q

%build
%configure2_5x CPPFLAGS="-fno-strict-aliasing -DBanAllEntityUsage=1"
%make

%check
%make check

%install
%makeinstall_std

rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_libdir}/*.a

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_libdir}/*.so.%{major}{,.*}
%{_mandir}/man?/%{name}.?.*

%files -n %{develname}
%{_includedir}/%{name}-2.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Mar 04 2016 luigiwalser <luigiwalser> 2.2.2-16.mga6
+ Revision: 985705
- should be compiled with BanAllEntityUsage (rhbz#888765)

* Mon Feb 08 2016 umeabot <umeabot> 2.2.2-15.mga6
+ Revision: 944113
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.2-14.mga5
+ Revision: 739564
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2.2-13.mga5
+ Revision: 726234
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2.2-12.mga5
+ Revision: 679059
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 spuhler <spuhler> 2.2.2-11.mga5
+ Revision: 674376
- upgrade to version 2.2.2
- replaced asc files

* Sun Feb 16 2014 dams <dams> 2.2.1-11.mga5
+ Revision: 592500
- new version 2.2.1

* Sat Oct 19 2013 umeabot <umeabot> 2.2.0-11.mga4
+ Revision: 529408
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 2.2.0-10.mga4
+ Revision: 451771
- rebuild for new boost

* Fri Jan 11 2013 umeabot <umeabot> 2.2.0-2.mga3
+ Revision: 349840
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 23 2012 dams <dams> 2.2.0-1.mga3
+ Revision: 309360
- new version 2.2.0
- update %%description
- clean specfile
- sync with fedora

* Mon Apr 02 2012 pterjan <pterjan> 2.1.1-4.mga2
+ Revision: 227777
- Rebuild after libexpat.la removal

* Sat Jan 15 2011 blino <blino> 2.1.1-3.mga1
+ Revision: 19089
- imported package exempi

